/*
  ST7032 Library - Sounder

 This example code is in the public domain.

 http://www.microfan.jp/library/st7032
 http://www.microfan.jp/plus/clcd-plus-r2
 http://www.microfan.jp/stack/clcd-stack
*/

// include the library code:
#include <ST7032.h>

// CLCD-PLUS-R2
#define SW1 10
#define SW2 11
#define SW3 12
#define SOUNDER 8
// CLCD-STACK
//#define SW1 3
//#define SW2 4
//#define SW3 5
//#define SOUNDER 8

ST7032 lcd;
// ST7032 lcd(PWR3V3) ;

void setup() {
  pinMode(SW1, INPUT_PULLUP) ;
  pinMode(SW2, INPUT_PULLUP) ;
  pinMode(SW3, INPUT_PULLUP) ;

  lcd.begin(16, 2);
}

void loop() {
  int hz = 0 ;

  if (digitalRead(SW1) == LOW)
    hz += 200 ;
  if (digitalRead(SW2) == LOW)
    hz += 400 ;
  if (digitalRead(SW3) == LOW)
    hz += 800 ;

  lcd.clear() ;
  lcd.print("FREQ: ") ;
  lcd.print(hz) ;

#if defined(ARDUINO_ARCH_ESP8266)
  if (hz != 0) {
    analogWrite(SOUNDER, 500) ;
    analogWriteFreq(hz) ;
  } else {
    analogWrite(SOUNDER, 0) ;
  }
#else
  if (hz != 0)
    tone(SOUNDER, hz) ;
  else
    noTone(SOUNDER) ;
#endif

  delay(100) ;
}
